Training
Forward-only pass
Submit a mini-batch for a forward-only pass without accumulating gradients. Poll the returned request identifier for the result.
Header parameters
Foundry-Features
enum
required
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
Path parameters
sessionId
string
required
Identifier of the fine-tuning session that will process the batch.
Query parameters
api-version
string
required
The API version to use for this operation.
Request Body
Training batch and loss configuration for the forward-only pass.
forward_input
SessionFineTuning.ForwardInput
required
Inputs for a forward-only pass without gradient accumulation. Uses the same batch and loss configuration as a forward-backward pass.
data
SessionFineTuning.FineTuningDatum[]
required
Training examples to process in this batch.
loss_fn
string | enum
required
Supported loss functions for forward-backward passes.
enum
loss_fn_config
SessionFineTuning.LossFnConfig
Optional per-loss-function hyper-parameters.
clip_low_threshold
number
PPO (Proximal Policy Optimization) / CISPO (Clipped Importance-Sampled Policy Optimization): lower clip threshold.
clip_high_threshold
number
PPO (Proximal Policy Optimization) / CISPO (Clipped Importance-Sampled Policy Optimization): upper clip threshold.
tau_pos
number
SAPO (Soft Adaptive Policy Optimization): positive advantage temperature.
tau_neg
number
SAPO (Soft Adaptive Policy Optimization): negative advantage temperature.
Responses
The request has succeeded.
Body
request_id
string
required
Request identifier to pass to the session's request-status endpoint.
status
enum
required
Indicates that the request has not yet completed.
session_id
string
required
Identifier of the session processing this request.
Request
POST /fine_tuning/sessions/{sessionId}/forward HTTP/1.1
Response
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json